質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.02%
terminal

Terminalは、Apple社のmacOSに標準で付属しているUNIX端末エミュレータ。UNIXコマンドによってMacの操作および設定を行うことができます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

受付中

pyenvによるPythonのインストールエラーについて

TanaShun
TanaShun

総合スコア0

terminal

Terminalは、Apple社のmacOSに標準で付属しているUNIX端末エミュレータ。UNIXコマンドによってMacの操作および設定を行うことができます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

1回答

0グッド

1クリップ

325閲覧

投稿2022/12/04 10:21

編集2022/12/04 11:08

pythonの特定バージョンの環境が必要となったため、環境構築を行おうとしたのですが、pyenvによるインストールがうまくいかず困っています。調べて出てくる対処法は一通り試したのですが、どれも解決には至っていません。
以下詳細状況です。

pyenv install 3.7.3

を実行すると、以下のようなエラーメッセージが表示されます。

python-build: use openssl@1.1 from homebrew python-build: use readline from homebrew Downloading Python-3.7.3.tar.xz... -> https://www.python.org/ftp/python/3.7.3/Python-3.7.3.tar.xz Installing Python-3.7.3... python-build: use tcl-tk from homebrew python-build: use readline from homebrew BUILD FAILED (OS X 13.0.1 using python-build 20180424) Inspect or clean up the working tree at /var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204191115.24340 Results logged to /var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204191115.24340.log Last 10 log lines: checking for --enable-universalsdk... no checking for --with-universal-archs... no checking MACHDEP... checking for --without-gcc... no checking for --with-icc... no checking for gcc... clang checking whether the C compiler works... no configure: error: in `/var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204191115.24340/Python-3.7.3': configure: error: C compiler cannot create executables See `config.log' for more details xcode-select: error: malformed developer path ("/Library/Developer/CommandLineTools")

PC環境はMac
OSは"Ventura 13.0.1"
CPUはIntelです。

他に必要な情報があれば助言いただけると幸いです。

3.7.3は現在の環境ではビルトできないとのことでしたので、試しに最新の3.11.0をインストールしようとしてみましたが、以下のようなエラーが出ました。

python-build: use openssl@1.1 from homebrew python-build: use readline from homebrew Downloading Python-3.11.0.tar.xz... -> https://www.python.org/ftp/python/3.11.0/Python-3.11.0.tar.xz Installing Python-3.11.0... python-build: use tcl-tk from homebrew python-build: use readline from homebrew BUILD FAILED (OS X 13.0.1 using python-build 20180424) Inspect or clean up the working tree at /var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204195705.28384 Results logged to /var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204195705.28384.log Last 10 log lines: checking pkg-config is at least version 0.9.0... yes checking for --enable-universalsdk... no checking for --with-universal-archs... no checking MACHDEP... "darwin" checking for gcc... clang checking whether the C compiler works... no configure: error: in `/var/folders/gk/_ybny47s6wnfzy968xq19_8r0000gn/T/python-build.20221204195705.28384/Python-3.11.0': configure: error: C compiler cannot create executables See `config.log' for more details xcode-select: error: malformed developer path ("/Library/Developer/CommandLineTools")

内容はところどころ変わっているのように思うのですが対処法はわかりません。

以下のような質問にはグッドを送りましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

グッドが多くついた質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

AbeTakashi

2022/12/04 10:28

See `config.log' for more details と書いてありますので、その情報を確認するのが第一かと思います。見ても分からないのであれば、現状の質問文を編集してその内容を追記されるといいかと思います。
quickquip

2022/12/04 10:56 編集

macOS 11(Big Sur)の時点で普通にビルドできるようになったバージョンが3.7.8です。macOS 12(Montereyの時点で)の時点で普通にビルドできるようになったバージョンが3.7.13です。OSでまともにビルドできない3.7.3が必要だという状況が**異常**です。(確実でない情報を書いてしまったので削除しました)
quickquip

2022/12/04 11:01

> 調べて出てくる対処法は一通り試したのですが、どれも解決には至っていません。 は、すべて書く必要がありますよね。
TanaShun

2022/12/04 11:04

config.logというファイルがどこにあるかわかる方法はありますでしょうか。
TanaShun

2022/12/04 11:11

片っ端からエラーメッセージを調べてそこに書いてあるものを実行していたので、具体的にこんなことをしたというのは書けないです。すみません。 唯一欠けるのはpyenvを一度アンインストールし、PATH?もそれに関するものは削除したということです。
quickquip

2022/12/04 11:56 編集

> 唯一欠けるのはpyenvを一度アンインストールし、PATH?もそれに関するものは削除したということです。 私はなにをしたのでしょうクイズがしたいんですか????? そもそもどうやってpyenvをインストールしたのでしょうか? ビルド環境は読んでますか? https://github.com/pyenv/pyenv/wiki#suggested-build-environment 質問が変更になりましたが「特定バージョンの環境が必要」はそのままです。何を質問したいのでしょうか????

回答1

0

xcode-select: error: malformed developer path ("/Library/Developer/CommandLineTools")

Command Line ToolsのPathエラーが出ていますので解決してください。
エラーメッセージでネット検索すれば解決方法が見つかります。

投稿2022/12/04 15:00

technocore

総合スコア7124

良いと思った回答にはグッドを送りましょう。
グッドが多くついた回答ほどページの上位に表示されるので、他の人が素晴らしい回答を見つけやすくなります。

下記のような回答は推奨されていません。

  • 間違っている回答
  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.02%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

terminal

Terminalは、Apple社のmacOSに標準で付属しているUNIX端末エミュレータ。UNIXコマンドによってMacの操作および設定を行うことができます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。